org.jfree.data.time

## Class FixedMillisecond

- java.lang.Object
- - org.jfree.data.time.RegularTimePeriod
  - - org.jfree.data.time.FixedMillisecond

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, TimePeriod, org.jfree.date.MonthConstants

    public class FixedMillisecond
    extends RegularTimePeriod
    implements java.io.Serializable

Wrapper for a `java.util.Date` object that allows it to be used as a `RegularTimePeriod`. This class is immutable, which is a requirement for all `RegularTimePeriod` subclasses.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.data.time.RegularTimePeriod

`DEFAULT_TIME_ZONE, WORKING_CALENDAR`

### Fields inherited from interface org.jfree.date.MonthConstants

`APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER`

### Constructor Summary

Constructors
Constructor and Description
`FixedMillisecond()` Constructs a millisecond based on the current system time.
`FixedMillisecond(java.util.Date time)` Constructs a millisecond.
`FixedMillisecond(long millisecond)` Constructs a millisecond.

### Method Summary

Methods
`int` `compareTo(java.lang.Object o1)` Returns an integer indicating the order of this Millisecond object relative to the specified object: negative == before, zero == same, positive == after.
`boolean` `equals(java.lang.Object object)` Tests the equality of this object against an arbitrary Object.
`long` `getFirstMillisecond()` Returns the first millisecond of the time period.
`long` `getFirstMillisecond(java.util.Calendar calendar)` Returns the first millisecond of the time period.
`long` `getLastMillisecond()` Returns the last millisecond of the time period.
`long` `getLastMillisecond(java.util.Calendar calendar)` Returns the last millisecond of the time period.
`long` `getMiddleMillisecond()` Returns the millisecond closest to the middle of the time period.
`long` `getMiddleMillisecond(java.util.Calendar calendar)` Returns the millisecond closest to the middle of the time period.
`long` `getSerialIndex()` Returns a serial index number for the millisecond.
`java.util.Date` `getTime()` Returns the date/time.
`int` `hashCode()` Returns a hash code for this object instance.
`RegularTimePeriod` `next()` Returns the millisecond following this one.
`void` `peg(java.util.Calendar calendar)` This method is overridden to do nothing.
`RegularTimePeriod` `previous()` Returns the millisecond preceding this one.

### Methods inherited from class org.jfree.data.time.RegularTimePeriod

`createInstance, downsize, getEnd, getFirstMillisecond, getLastMillisecond, getMiddleMillisecond, getStart, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FixedMillisecond

    public FixedMillisecond()

Constructs a millisecond based on the current system time.

#### FixedMillisecond

    public FixedMillisecond(long millisecond)

Constructs a millisecond.

Parameters:
  `millisecond` - the millisecond (same encoding as java.util.Date).

#### FixedMillisecond

    public FixedMillisecond(java.util.Date time)

Constructs a millisecond.

Parameters:
  `time` - the time.

### Method Detail

#### getTime

    public java.util.Date getTime()

Returns the date/time.

Returns:
  The date/time.

#### peg

    public void peg(java.util.Calendar calendar)

This method is overridden to do nothing.

Specified by:
  `peg` in class `RegularTimePeriod`
Parameters:
  `calendar` - ignored
Since:
  1.0.3

#### previous

    public RegularTimePeriod previous()

Returns the millisecond preceding this one.

Specified by:
  `previous` in class `RegularTimePeriod`
Returns:
  The millisecond preceding this one.

#### next

    public RegularTimePeriod next()

Returns the millisecond following this one.

Specified by:
  `next` in class `RegularTimePeriod`
Returns:
  The millisecond following this one.

#### equals

    public boolean equals(java.lang.Object object)

Tests the equality of this object against an arbitrary Object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `object` - the object to compare
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this object instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.

#### compareTo

    public int compareTo(java.lang.Object o1)

Returns an integer indicating the order of this Millisecond object relative to the specified object: negative == before, zero == same, positive == after.

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Parameters:
  `o1` - the object to compare.
Returns:
  negative == before, zero == same, positive == after.

#### getFirstMillisecond

    public long getFirstMillisecond()

Returns the first millisecond of the time period.

Specified by:
  `getFirstMillisecond` in class `RegularTimePeriod`
Returns:
  The first millisecond of the time period.
See Also:
  `RegularTimePeriod.getLastMillisecond()`

#### getFirstMillisecond

    public long getFirstMillisecond(java.util.Calendar calendar)

Returns the first millisecond of the time period.

Specified by:
  `getFirstMillisecond` in class `RegularTimePeriod`
Parameters:
  `calendar` - the calendar.
Returns:
  The first millisecond of the time period.
See Also:
  `RegularTimePeriod.getLastMillisecond(Calendar)`

#### getLastMillisecond

    public long getLastMillisecond()

Returns the last millisecond of the time period.

Specified by:
  `getLastMillisecond` in class `RegularTimePeriod`
Returns:
  The last millisecond of the time period.
See Also:
  `RegularTimePeriod.getFirstMillisecond()`

#### getLastMillisecond

    public long getLastMillisecond(java.util.Calendar calendar)

Returns the last millisecond of the time period.

Specified by:
  `getLastMillisecond` in class `RegularTimePeriod`
Parameters:
  `calendar` - the calendar.
Returns:
  The last millisecond of the time period.
See Also:
  `RegularTimePeriod.getFirstMillisecond(Calendar)`

#### getMiddleMillisecond

    public long getMiddleMillisecond()

Returns the millisecond closest to the middle of the time period.

Overrides:
  `getMiddleMillisecond` in class `RegularTimePeriod`
Returns:
  The millisecond closest to the middle of the time period.

#### getMiddleMillisecond

    public long getMiddleMillisecond(java.util.Calendar calendar)

Returns the millisecond closest to the middle of the time period.

Overrides:
  `getMiddleMillisecond` in class `RegularTimePeriod`
Parameters:
  `calendar` - the calendar.
Returns:
  The millisecond closest to the middle of the time period.

#### getSerialIndex

    public long getSerialIndex()

Returns a serial index number for the millisecond.

Specified by:
  `getSerialIndex` in class `RegularTimePeriod`
Returns:
  The serial index number.